<?
error_reporting(E_ALL^E_NOTICE);
?>
<div class="event"><h1>Рыбный магазин</h1></div>
<?
echo "<div class='content'>";
echo "<div class='block'>";
if(isset($_GET['sell_all']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_warehouse_f` WHERE `id_user` = '$ku[id]'"),0)!=0)
{
if(isset($_GET[fish])){$fish=1;$base="fish";}else{$fish=0;$base="plant";}
$q=mysql_querll("SELECT * FROM `kolhoz_warehouse_f` WHERE `id_user` = '$ku[id]' AND `fish`='$fish'");
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"));
$m=floor(($plant['money']/$plant['count'])*$post['count']);
$d=1;
if($ku['double_res']>time()){
$d=2;
}
$cm=floor(($cm+$m)*$d);
}
mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$cm)."' WHERE `id` = '$ku[id]'");
mysql_querll("DELETE FROM `kolhoz_warehouse_f` WHERE `id_user` = '$ku[id]' AND `fish`='$fish'");
mysql_querll("UPDATE `kolhoz_user` SET `umoney` = '$cm' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($cm/100)*$mc['nalog']);
mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$cm-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_querll("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
mysql_querll("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
header("Location:?f_warehouse&".passgen());
exit;
}


$ant=mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_warehouse_f` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell'])."'"), 0);
if(isset($_GET['sell']) && intval($_GET['sell'])!=NULL && $ant!==0)
{
$pw=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_warehouse_f` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell'])."'"));
if(isset($_GET[fish])){$fish=1;$base="fish";}else{$fish=0;$base="plant";}
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '$pw[id_plant]'"));
if($plant[count]==0){$plant[count]=1;}
$d=1;
if($ku['double_res']>time()){
$d=2;
}
$m=floor((($plant['money']/$plant['count'])*$pw['count'])*$d);
mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$m)."' WHERE `id` = '$ku[id]'");
mysql_querll("DELETE FROM `kolhoz_warehouse_f` WHERE `id` = '$pw[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `umoney` = '$m' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($m/100)*$mc['nalog']);
mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$m-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_querll("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
mysql_querll("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
header("Location:?f_warehouse&".passgen());
exit;
}
echo "<div><h3>Рыба</h3>";
echo "<ul class='ptm'>";
$q=mysql_querll("SELECT * FROM `kolhoz_warehouse_f` WHERE `id_user` = '$ku[id]' AND `arena` = '0' AND `fish` = '0'");
if(mysql_num_rows($q)==0)echo "<li>В магазине нет рыбы</li>";
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"));
$d=1;
if($ku['double_res']>time()){
$d=2;
}
$m=floor((($plant['money']/$plant['count'])*$post['count'])*$d);
echo "<li><div><img width='16' height='16' src='img/fish/ss-hrvst.png' alt='o'><span class='title'>".hsc($plant['name'])."</span> (<span>$post[count]</span>): 
<a href='?f_warehouse&sell=$post[id]'>Продать</a> за <img width='16' height='16' src='img/icons/money.png' alt='o'><span>$m</span>
</div></li>";
$cm=$cm+$m;
}
if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_warehouse_f` WHERE `id_user` = '$ku[id]'"),0)!=0)echo "<li><img alt='*' width='16' height='16' src='img/icons/money.png'> <a href='?f_warehouse&sell_all'>Продать всё</a> за <img width='16' height='16' src='img/icons/money.png' alt='o'><span>$cm</span></li>";
echo "</ul></div>";
//echo "<div class='pt'><img width='16' height='16' src='img/fish/ss-hrvst.png' alt='*'> <a href='?s_buy_plant'>Купить фруктов</a></div></div>";

echo "<div class='block'>";


echo "<div class='block'>";
echo "<ul class='ptm'>";
$q=mysql_querll("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `arena` = '0' AND `fish` = '1'");
if(mysql_num_rows($q)==0){echo "<li></li><br/>";}else{
$cm=0;
while($post=mysql_fetch_array($q))
{echo "<li><div>
</div></div></li>";

$d=1;
if($ku['double_res']>time()){
$d=2;
}
$cm=floor(($cm+$m)*$d);
}
echo "</ul>



</div></div></div></div></div>";
}
include_once 'inc/foot.php';
?>